## bind9 9.21.10

=== meson_options.txt ===
# Copyright (C) Internet Systems Consortium, Inc. ("ISC")
#
# SPDX-License-Identifier: MPL-2.0
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0.  If a copy of the MPL was not distributed with this
# file, you can obtain one at https://mozilla.org/MPL/2.0/.
#
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.

# Features
option(
    'doc',
    type: 'feature',
    value: 'auto',
    description: 'Enable sphinx-based documentation generation',
)

option(
    'cap',
    type: 'feature',
    value: 'auto',
    description: 'Enable libcap-based capability support',
)

option(
    'dnstap',
    type: 'feature',
    value: 'auto',
    description: 'Enable dnstap packet logging, requires fstrm and protobuf-c',
)

option(
    'doh',
    type: 'feature',
    value: 'auto',
    description: 'Enable DNS over HTTPS, requires libnghttp2',
)

option(
    'fips',
    type: 'feature',
    value: 'disabled',
    description: 'Enable FIPS mode toggle',
)

option(
    'geoip',
    type: 'feature',
    value: 'auto',
    description: 'Enable GeoIP support, requires libmaxminddb',
)

option(
    'gssapi',
    type: 'feature',
    value: 'auto',
    description: 'Enable GSSAPI support, requires krb5 and gssapi',
)

option(
    'idn',
    type: 'feature',
    value: 'auto',
    description: 'Enable IDN support, requires libidn2',
)

option(
    'line',
    type: 'feature',
    value: 'auto',
    description: 'Enable line editing in nsupdate and nslookup, requires libedit',
)

option(
    'lmdb',
    type: 'feature',
    value: 'auto',
    description: 'LMDB database to store configuration for "addzone" zones',
)

option(
    'stats-json',
    type: 'feature',
    value: 'auto',
    description: 'Enable JSON statistics, requires json-c',
)

option(
    'stats-xml',
    type: 'feature',
    value: 'auto',
    description: 'Enable XML statistics, requires libxml2',
)

option(
    'zlib',
    type: 'feature',
    value: 'auto',
    description: 'Enable HTTP zlib compression, requires zlib',
)

# Internals
option(
    'cachedb',
    type: 'combo',
    choices: ['qpcache'],
    description: 'Default cache database type',
)

option(
    'zonedb',
    type: 'combo',
    choices: ['qpzone'],
    description: 'Default zone database type',
)

option(
    'locktype',
    type: 'combo',
    choices: ['adaptive', 'system'],
    description: 'Mutex lock type',
)

option(
    'jemalloc',
    type: 'feature',
    value: 'auto',
    description: 'Use jemalloc for allocation',
)

option(
    'rcu-flavor',
    type: 'combo',
    choices: ['membarrier', 'bp', 'mb', 'qsbr'],
    description: 'Userspace RCU Flavor (non-membarrier RCU is only allowed in development builds)',
)

option(
    'tracing',
    type: 'feature',
    value: 'auto',
    description: 'Enable User Statically Defined Tracing support, requires dtrace or systemtap',
)

# Behavior
option(
    'auto-validation',
    type: 'feature',
    value: 'enabled',
    description: 'Turn on DNSSEC validation by default, using the IANA root key',
)

# Development
option(
    'developer',
    type: 'feature',
    value: 'disabled',
    description: 'Enable development mode',
)

option(
    'cmocka',
    type: 'feature',
    value: 'auto',
    description: 'Enable cmocka based tests',
)

option(
    'fuzzing',
    type: 'combo',
    choices: ['none', 'afl', 'libfuzzer', 'oss-fuzz'],
    description: 'Enable fuzzing',
)

option(
    'trace-logging',
    type: 'array',
    value: [],
    choices: ['query', 'single'],
    description: 'Enable very verbose (single-)query trace logging',
)

option(
    'leak-detection',
    type: 'feature',
    value: 'disabled',
    description: 'enable the memory leak detection in external libraries (libxml2, libuv, OpenSSL)',
)

=== doc/arm/requirements.txt ===
Sphinx==8.2.3
docutils==0.21.2
sphinx_rtd_theme==3.0.2

=== debian/changelog ===
bind9 (1:9.21.10-10) experimental; urgency=medium

  * Disable the flaky tests
  * Bump the debhelper compat level to 13 to use meson test

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Aug 2025 11:08:45 +0200

bind9 (1:9.21.10-9) experimental; urgency=medium

  * Reduce the stack size to make the unit tests work on 32-bits

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Aug 2025 09:42:34 +0200

bind9 (1:9.21.10-8) experimental; urgency=medium

  * Skip the benchmarks in the CI

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 17:18:08 +0200

bind9 (1:9.21.10-7) experimental; urgency=medium

  * Reduce the number of ISC_TASK_WORKERS to speed up unit tests

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 12:13:53 +0200

bind9 (1:9.21.10-6) experimental; urgency=medium

  * Split the arch and indep build rules, so non-amd64 builds can succeed

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 07:30:16 +0200

bind9 (1:9.21.10-5) experimental; urgency=medium

  * Install named.conf.root-hints instead of named.conf.default-zones

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Jul 2025 06:31:19 +0200

bind9 (1:9.21.10-4) experimental; urgency=medium

  * Adjust the dependency on meson to be >= 0.61

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 14:46:05 +0200

bind9 (1:9.21.10-3) experimental; urgency=medium

  * Disable ns_query test for now

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 13:54:19 +0200

bind9 (1:9.21.10-2) experimental; urgency=medium

  * Make the ns_query test flaky

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Jul 2025 13:25:44 +0200

bind9 (1:9.21.10-1) experimental; urgency=medium

  * New upstream version 9.21.10
  * Add support for meson build system
  * Remove bind9-dev package, there are no headers
  * Install named-makejournal to bind9-utils

 -- Ondřej Surý <ondrej@debian.org>  Wed, 16 Jul 2025 20:22:56 +0200

=== debian/control ===
Source: bind9
Section: net
Priority: optional
Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Bernhard Schmidt <berni@debian.org>
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-apparmor,
               dh-exec,
               libcap2-dev [linux-any],
               libcmocka-dev,
               libdb-dev,
               libedit-dev,
               libfstrm-dev,
               libidn2-dev,
               libjemalloc-dev,
               libjson-c-dev,
               libkrb5-dev,
               liblmdb-dev,
               libmaxminddb-dev (>= 1.3.0),
               libnghttp2-dev,
               libprotobuf-c-dev,
               libssl-dev,
               liburcu-dev,
               libuv1-dev,
               libxml2-dev,
               meson (>= 0.61),
               ninja-build,
               pkgconf,
               protobuf-c-compiler,
               zlib1g-dev
Build-Depends-Indep: fonts-freefont-otf,
                     latexmk,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     texlive-fonts-extra,
                     texlive-latex-recommended,
                     texlive-xetex,
                     xindy
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/dns-team/bind9
Vcs-Git: https://salsa.debian.org/dns-team/bind9.git -b debian/9.19
Homepage: https://www.isc.org/downloads/bind/

Package: bind9
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         bind9-libs (= ${binary:Version}),
         bind9-utils (= ${binary:Version}),
         debconf | debconf-2.0,
         dns-root-data,
         iproute2,
         netbase,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: bind9-dnsutils,
          bind9-doc,
          resolvconf,
          ufw
Breaks: bind (<< 1:9.13.6~)
Replaces: bind (<< 1:9.13.6~)
Description: Internet Domain Name Server
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package provides the server and related configuration files.

Package: bind9-utils
Architecture: any
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: freeipa
Description: Utilities for BIND 9
 This package provides various utilities that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: bind-doc (<< 1:9.13.6~)
Replaces: bind-doc (<< 1:9.13.6~)
Multi-Arch: foreign
Description: Documentation for BIND 9
 This package provides various documents that are useful for maintaining a
 working BIND 9 installation.

Package: bind9-host
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: host
Breaks: bind-host (<< 1:9.13.6~)
Replaces: bind-host (<< 1:9.13.6~)
Description: DNS Lookup Utility
 This package provides the 'host' DNS lookup utility in the form that
 is bundled with the BIND 9 sources.

Package: bind9-libs
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: bind-libs (<< 1:9.13.6~)
Replaces: bind-libs (<< 1:9.13.6~)
Description: Shared Libraries used by BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package contains a bundle of shared libraries used by BIND 9.

Package: bind9-dnsutils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: bind9-host | host,
         bind9-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Clients provided with BIND 9
 The Berkeley Internet Name Domain (BIND 9) implements an Internet domain
 name server.  BIND 9 is the most widely-used name server software on the
 Internet, and is supported by the Internet Software Consortium, www.isc.org.
 .
 This package delivers various client programs related to DNS that are
 derived from the BIND 9 source tree.
 .
  - dig - query the DNS in various ways
  - nslookup - the older way to do it
  - nsupdate - perform dynamic updates (See RFC2136)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing -fno-delete-null-pointer-checks -DNO_VERSION_DATE -DDIG_SIGCHASE

export DPKG_GENSYMBOLS_CHECK_LEVEL := 4

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# Disable benchmarks when building the package
export CI = yes

export arch = $(DEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_FEATURES=-Dcap=disabled
endif

DEB_VERSION_REVISION := $(call dpkg_late_eval,DEB_VERSION_REVISION,echo '$(DEB_VERSION_UPSTREAM_REVISION)' | sed -e 's/^[^-]*//')

SED_VERSION_EXTENSIONS := \
	sed -e 's/\[bind_VERSION_EXTRA\], .*)/[bind_VERSION_EXTRA], $(DEB_VERSION_REVISION)-$(DEB_VENDOR))/'

EXCLUDE_FILES :=			\
	--exclude=.la			\
	--exclude=lwresd		\
	--exclude=__pycache_		\
	--exclude=sample.so		\
	--exclude=dlzexternal.so	\
	--exclude=test-async.so		\
	--exclude=libbind9.la		\
	--exclude=libdns.la		\
	--exclude=libirs.la		\
	--exclude=libisccc.la		\
	--exclude=libisccfg.la		\
	--exclude=libisc.la		\
	--exclude=libns.la

%:
	dh $@

prepare_version_extensions:
	if [ ! -f configure.ac.bak ]; then \
	  mv configure.ac configure.ac.bak; \
	  $(SED_VERSION_EXTENSIONS) < configure.ac.bak > configure.ac; \
	fi

clean_version_extensions:
	if [ -f configure.ac.bak ]; then \
	  mv configure.ac.bak configure.ac; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- \
		--sysconfdir=/etc/bind \
		--localstatedir=/ \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-Dcap=enabled \
		-Dcmocka=enabled \
		-Ddnstap=enabled \
		-Ddoh=enabled \
		-Dgeoip=enabled \
		-Dgssapi=enabled \
		-Didn=enabled \
		-Djemalloc=enabled \
		-Dline=enabled \
		-Dlmdb=enabled \
		-Dstats-json=enabled \
		-Dstats-xml=enabled \
		-Dzlib=enabled \
		$(EXTRA_FEATURES)

override_dh_auto_build-arch:
	dh_auto_build -a -- all

override_dh_auto_build-indep:
	sed -i 's/:gl:`\([#!][^`]*\)`/[GL \1]/g' doc/notes/*.rst
	dh_auto_build -i -- arm

override_dh_auto_clean: clean_version_extensions
	sed -i 's/\[GL \([#!][^]]*\)]/:gl:`\1`/g' doc/notes/*.rst
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test -- --no-suite flaky

override_dh_auto_install-arch:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_install install

override_dh_auto_install-indep:
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/doc/bind/
	cp -p -r obj-$(DEB_HOST_MULTIARCH)/arm/* $(CURDIR)/debian/tmp/usr/share/doc/bind/

override_dh_installinit:
	dh_installinit -pbind9 --name=named
	dh_installinit --remaining-packages

override_dh_installsystemd:
	dh_installsystemd -pbind9 --no-enable --name=named-resolvconf named-resolvconf.service
	dh_installsystemd -pbind9 --name=named named.service
	dh_installsystemd --remaining-packages

override_dh_install:
	dh_install $(EXCLUDE_FILES)
	# Install apparmor profile
	dh_apparmor -pbind9 --profile-name=usr.sbin.named

override_dh_missing:
	dh_missing $(EXCLUDE_FILES)  --fail-missing

.PHONY: prepare_version_extensions clean_version_extensions

## bind9 9.21.14

=== meson_options.txt ===
--- 
+++ 
@@ -169,9 +169,17 @@
 
 option(
     'fuzzing',
+    type: 'feature',
+    value: 'auto',
+    description: 'Build fuzzing binaries',
+)
+
+option(
+    'fuzzing-backend',
     type: 'combo',
     choices: ['none', 'afl', 'libfuzzer', 'oss-fuzz'],
-    description: 'Enable fuzzing',
+    value: 'none',
+    description: 'Fuzzing backend (backend none with -Dfuzzing=enabled only compiles the binary)',
 )
 
 option(
@@ -188,3 +196,11 @@
     value: 'disabled',
     description: 'enable the memory leak detection in external libraries (libxml2, libuv, OpenSSL)',
 )
+
+option(
+    'named-lto',
+    type: 'combo',
+    choices: ['off', 'thin', 'full'],
+    value: 'thin',
+    description: 'Enable Link Time Optimization for named.',
+)

=== debian/changelog ===
bind9 (1:9.21.14-1) experimental; urgency=medium

  * New upstream version 9.21.14
   - [CVE-2025-8677]: DNSSEC validation fails if matching but invalid
     DNSKEY is found
   - [CVE-2025-40778]: Address various spoofing attacks.
   - [CVE-2025-40780]: Cache-poisoning due to weak pseudo-random number
     generator

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Oct 2025 17:04:56 +0200

bind9 (1:9.21.12-1) experimental; urgency=medium

  * New upstream version 9.21.12
  * Don't fail build on failed tests (yet)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Sep 2025 20:36:14 +0200

bind9 (1:9.21.11-2) experimental; urgency=medium

  * Also install named-makejournal man page

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2025 20:07:47 +0200

bind9 (1:9.21.11-1) experimental; urgency=medium

  * New upstream version 9.21.11

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Aug 2025 17:44:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>,
            Bernhard Schmidt <berni@debian.org>
-Build-Depends: bison,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-exec,
+               bison,
                libcap2-dev [linux-any],
                libcmocka-dev,
                libdb-dev,

=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,7 @@
 		-Dcmocka=enabled \
 		-Ddnstap=enabled \
 		-Ddoh=enabled \
+		-Dfuzzing=disabled \
 		-Dgeoip=enabled \
 		-Dgssapi=enabled \
 		-Didn=enabled \
@@ -94,7 +95,7 @@
 	dh_auto_clean
 
 override_dh_auto_test:
-	dh_auto_test -- --no-suite flaky
+	-dh_auto_test -- --no-suite flaky
 
 override_dh_auto_install-arch:
 	DESTDIR=$(CURDIR)/debian/tmp dh_auto_install install

=== debian/tests/control ===
Tests: simpletest
Restrictions: isolation-container,
              needs-internet,
              needs-root
Depends: bind9,
         bind9-dnsutils

Tests: validation
Restrictions: flaky,
              isolation-container,
              needs-internet,
              needs-root
Depends: bind9,
         bind9-dnsutils

Tests: zonetest
Restrictions: isolation-container,
              needs-root
Depends: bind9,
         bind9-dnsutils,
         bind9-utils

=== debian/watch ===
version=3

opts=\
compression=xz,\
uversionmangle=s/((rc|b)\d+)$/~$1/;s/-P(\d+)$/.P$1/,\
dirversionmangle=s/((rc|b)\d+)$/~$1/;s/-P(\d+)$/.P$1/,\
dversionmangle=s/\.dfsg\./-/;s/[\.\+]dfsg$//,\
pgpsigurlmangle=s/$/.asc/ \
  https://ftp.isc.org/isc/bind9/(9\.21\.\d+(?:(?:rc|b|-P)\d)?)/ bind-@ANY_VERSION@\.tar\.xz

## bind9 9.21.18

=== debian/changelog ===
bind9 (1:9.21.18-1) experimental; urgency=medium

  * New upstream version 9.21.18

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Feb 2026 12:56:41 +0100

bind9 (1:9.21.17-1) experimental; urgency=medium

  * New upstream version 9.21.17
   + [CVE-2025-13878]: Fix incorrect length checks for BRID and HHIT
     records.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 21 Jan 2026 16:58:27 +0100

bind9 (1:9.21.16-1) experimental; urgency=medium

  * New upstream version 9.21.16

 -- Ondřej Surý <ondrej@debian.org>  Wed, 17 Dec 2025 16:58:59 +0100

bind9 (1:9.21.15-3) experimental; urgency=medium

  * Bump meson B-D to >= 1.3.0~

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 11:56:24 +0100

bind9 (1:9.21.15-2) experimental; urgency=medium

  * Fix the sphinx doc build

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Nov 2025 23:15:26 +0100

bind9 (1:9.21.15-1) experimental; urgency=medium

  * New upstream version 9.21.15
  * libcap is mandatory on Linux, remove it from meson invocation
  * Remove RPATH from synthrecord plugin

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Nov 2025 22:10:30 +0100

bind9 (1:9.21.14-3) experimental; urgency=medium

  * Add upstream patches to prevent assertion failure when caching
    RRSIG for non-existent record.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 09 Nov 2025 00:13:24 +0100

bind9 (1:9.21.14-2) experimental; urgency=medium

  * Remove libdb-dev build depends (Closes: #1119196)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Oct 2025 07:39:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                bison,
                libcap2-dev [linux-any],
                libcmocka-dev,
-               libdb-dev,
                libedit-dev,
                libfstrm-dev,
                libidn2-dev,
@@ -25,7 +24,7 @@
                liburcu-dev,
                libuv1-dev,
                libxml2-dev,
-               meson (>= 0.61),
+               meson (>= 1.3.0~),
                ninja-build,
                pkgconf,
                protobuf-c-compiler,

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,6 @@
 export CI = yes
 
 export arch = $(DEB_HOST_ARCH)
-
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-EXTRA_FEATURES=-Dcap=disabled
-endif
 
 DEB_VERSION_REVISION := $(call dpkg_late_eval,DEB_VERSION_REVISION,echo '$(DEB_VERSION_UPSTREAM_REVISION)' | sed -e 's/^[^-]*//')
 
@@ -67,7 +63,6 @@
 		--sysconfdir=/etc/bind \
 		--localstatedir=/ \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		-Dcap=enabled \
 		-Dcmocka=enabled \
 		-Ddnstap=enabled \
 		-Ddoh=enabled \
